Package com.microsoft.sqlserver.jdbc

## Interface SQLServerKeyVaultAuthenticationCallback

    public interface SQLServerKeyVaultAuthenticationCallback

Provides a callback delegate which is to be implemented by the client code

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getAccessToken​(java.lang.String authority, java.lang.String resource, java.lang.String scope)` Returns the acesss token of the authentication request

### Method Detail

#### getAccessToken

    java.lang.String getAccessToken​(java.lang.String authority,
                                    java.lang.String resource,
                                    java.lang.String scope)

Returns the acesss token of the authentication request

Parameters:
  `authority` - - Identifier of the authority, a URL.
  `resource` - - Identifier of the target resource that is the recipient of the requested token, a URL.
  `scope` - - The scope of the authentication request.
Returns:
  access token